From b8fc5eecdc5d33cf261986436597b5482ab856da Mon Sep 17 00:00:00 2001
From: Sander Vanheule <sander@svanheule.net>
Date: Sun, 14 Nov 2021 19:45:32 +0100
Subject: [PATCH] realtek: Backport Realtek Otto WDT driver

Add patch submitted upstream to linux-watchdog and replace the MIPS
architecture symbols. Requires one extra patch for the DIV_ROUND_*
macros, which have moved to a different header since 5.10.

Submitted-by: Sander Vanheule <sander@svanheule.net>
Tested-by: Stijn Segers <foss@volatilesystems.org>
Tested-by: Paul Fertser <fercerpav@gmail.com>
Tested-by: Stijn Tintel <stijn@linux-ipv6.be>
---
 drivers/watchdog/Kconfig                      | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

--- a/drivers/watchdog/Kconfig
+++ b/drivers/watchdog/Kconfig
@@ -956,10 +956,10 @@ config RTD119X_WATCHDOG
 
 config REALTEK_OTTO_WDT
 	tristate "Realtek Otto MIPS watchdog support"
-	depends on MACH_REALTEK_RTL || COMPILE_TEST
+	depends on RTL83XX
 	depends on COMMON_CLK
 	select WATCHDOG_CORE
-	default MACH_REALTEK_RTL
+	default RTL83XX
 	help
 	  Say Y here to include support for the watchdog timer on Realtek
 	  RTL838x, RTL839x, RTL930x SoCs. This watchdog has pretimeout
